<template>
    <div class="home-search">
        <div
            class="main search-form v2"
            :style="'background-image: url(' + bgurl + ');'"
        >
            <div class="container">
                <div class="row justify-content-md-center">
                    <div
                        class="col-md-12 col-lg-10"
                        style="background-color: rgba(255,255,255,.7); padding-top:2rem;"
                    >
                        <div class="heading">
                            <h2 class="text-secundary" style="color: #000000">
                                {{ trans.title_one }}
                            </h2>
                            <h3 class="text-secundary" style="color: #000000">
                                {{ trans.title_two }}
                            </h3>
                        </div>
                        <form @submit.prevent="searchLocation">
                            <div class="row justify-content-md-center">
                                <div class="col-md-9 col-lg-8">
                                    <div class="input-group input-group-lg">
                                        <vue-google-autocomplete 
                                            ref="address"
                                            id="map"
                                            classname="form-control"
                                            :placeholder="trans.query_label"
                                            v-on:placechanged="getAddressData"
                                            :country="['ve','uy']"
                                            :enable-geolocation="true"
                                            types="geocode"
                                        >
                                            </vue-google-autocomplete>

                                        <span class="input-group-append">
                                            <button
                                                class="btn btn-white btn-lg"
                                                type="button"
                                                @click.prevent="
                                                    getCourrentLocation()
                                                "
                                            >
                                                <i
                                                    class="fa fa-map-marker"
                                                    aria-hidden="true"
                                                ></i>
                                            </button>
                                            <button
                                                class="btn btn-primary btn-lg"
                                                type="button"
                                                @click.prevent="searchLocation()"
                                            >
                                                {{ trans.search_button }}
                                            </button>
                                        </span>
                                    </div>
                                    <div class="search-in">
                                        <div class="radio-box">
                                            <input
                                                type="radio"
                                                name="searchin"
                                                value="rent"
                                                id="rent22"
                                                v-model="rent"
                                                @change.prevent="change(0)"
                                            />
                                            <label
                                                class="radio-inline"
                                                for="rent22"
                                                >{{ trans.for_rent }}</label
                                            >
                                        </div>
                                        <div class="radio-box">
                                            <input
                                                type="radio"
                                                name="searchin"
                                                value="sell"
                                                id="sell22"
                                                @change.prevent="change(1)"
                                                v-model="sell"
                                                checked
                                            />
                                            <label
                                                class="radio-inline"
                                                for="sell22"
                                                >{{ trans.for_sell }}</label
                                            >
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>

import VueGoogleAutocomplete from 'vue-google-autocomplete';

export default {
    components: { VueGoogleAutocomplete },
    
    props: ["homebg", "lang"],
    mounted() {
        this.$refs.address.focus();
    },
    data() {
        return {
            bgurl: this.homebg,
            trans: this.lang.search,
            googleapi: process.env.MIX_GOOGLE_MAPS_API_KEY,
            field1: null,
            sell:'sell',
            rent:null,
        };
    },
    methods: {
        change(opt){
            if (opt === 0){
                this.rent = 'rent';
                this.sell = null
            }
            if(opt == 1){
                this.sell = 'sell';
                this.rent = null
            }
        },
        getCourrentLocation() {
            this.$refs.address.geolocate();

            
        },
        searchLocation(){
            let url,first;
            // console.log(this.field1);
            // return false;
            if(this.sell){
                url = '/'+this.sell+'?'
            }else{
                url = '/'+this.rent+'?'
            }
            if(!this.field1) {
                return false
            }
            first =null;
            if(this.field1.locality){
                first = true;
                url +='locality='+this.field1.locality
            }
            if(this.field1.postal_code){
                if(first){
                    url+='&postal_code='+this.field1.postal_code
                }else{
                    first = true;
                    url+='postal_code='+this.field1.postal_code
                }
            }
            if(this.field1.administrative_area_level_1){
                if(first){
                    url+='&administrative_area='+this.field1.administrative_area_level_1
                }else{
                    first = true;
                    url+='administrative_area='+this.field1.administrative_area_level_1
                }
            }
            if(this.field1.country){
                if(first){
                    url+='&country='+this.field1.country
                }else{
                    first = true;
                    url+='country='+this.field1.country
                }
            }
            if(this.field1.latitude){
                if(first){
                    url+='&lat='+this.field1.latitude
                }else{
                    first = true;
                    url+='lat='+this.field1.latituda
                }
            }
            if(this.field1.longitude){
                if(first){
                    url+='&lng='+this.field1.longitude
                }else{
                    first = true;
                    url+='lng='+this.field1.longitude
                }
            }
            localStorage.setItem('lastSearch',JSON.stringify(this.field1))
            
            location.href = url;
        },
        getAddressData: function (addressData, placeResultData, id) {
                this.field1 = addressData;
        },
    }
};
</script>
<style>
    .pac-logo::after{
        display: none;
    }
</style>
